Subject: Re: [PATCH -mm 8/9] netconsole: Update documentation for dynamic reconfigurability

From: Keiichi KII <[email-masked]>
Date: Thu, 05 Jul 2007 21:58:20 +0900

Hi Satyam,

> + cat enabled				# check if enabled is 1
> + echo 0 > enabled			# disable the target (if required)
> + echo eth2 > dev_name			# set local interface

I think that the above line should change from "echo eth2 > dev_name" to 
"echo -n eth2 > dev_name" or the newline should be removed at store_dev_name().
The default behavior of echo(1) outputs the newline. 
So, if we write appropriate network device name to dev_name, 
the netpoll can't find net_device in netpoll_setup(). 

I don't have enough time now. So I will check your patches more specific 
at the weekend.
Thanks
-- 
Keiichi KII
NEC Corporation OSS Platform Development Division
E-mail: [email-masked]